tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Andersén <>
Subject Re: Problems with gabled mod_jk
Date Fri, 23 Feb 2001 14:11:23 GMT
But im  not using the mod_jk that ships with rpm, i have downloaded the
precompiled version that exists on jakartas homepage.
But do you think this is a version that is compiled for RPM or?
I could compile it , but im not that keen to spend another 4 hours to
compile this and end up with the same results.
Since im pretty new to this evry step takes loooooong time to conclude.

Peter A
----- Original Message -----
From: "John Towell" <>
To: <>
Sent: Friday, February 23, 2001 3:02 PM
Subject: RE: Problems with gabled mod_jk

This one should be on an FAQ somewhere.  I experienced the same message.  It
resulted from using a that was packed in an RPM.  The solution was
to get the source from the tomcat site and build a new by
following the directions in the mod_jk howto that comes with tomcat
documents. Good luck!

-----Original Message-----
From: Peter Andersén
Sent: 2/23/01 8:03 AM
Subject: Problems with gabled mod_jk

Hi have installed and tested with both apache 1.3.17 and 1.3.14 and
1.3.12 same result.

I have compiled my apache to support DSO.
./configure --prefix=/usr/local/apache --enable-module=so
i have checked with httpd -l and seen that the dso support is their.

But when i try to execute the mod_jk.conf-auto that tomcat creates i get
an error on the LoadModule jk_module libexec/
I have used the precompiled version form tomcats homepage.
The error is saying that this module is garbeld.
complete error messages API module structure 'jk_module' in file
/usr/local/apache/libexec/ is garbled - perhaps this is not an
apache module DSO.
Any out there having suggestion what to do, im pretty new to linux so it
should not be to advanced and if you suggest any advance step it would
be extremly helpful to get a step by step instruction.

If i try on the same machine where i have apache installed with shipment
thru RPM and it is version 1.3.12 this is working but it also only have
core.c and mod_so.c compiled into the apache kernel. The other version
is downloads from Apache and it seems to be something im missing when
compiling or im not sure

Looking forward to see if somebody can help me.
Peter Andersen

To unsubscribe, e-mail:
For additional commands, email:

View raw message